org.apache.derby.mbeans

## Class Management

- java.lang.Object
- - org.apache.derby.mbeans.Management

- All Implemented Interfaces:
    ManagementMBean

      public class Management
      extends Object
      implements ManagementMBean

  Management MBean to allow applications to dynamically control visibility of Derby's MBeans. If Derby does not register its ManagementMBean then an application may register this implementation of ManagementMBean itself and use it to start Derby's JMX management.

  If Derby is not booted then invoking startManagement will do nothing.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Management()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSystemIdentifier()` Return the system identifier that this MBean is managing.
    `boolean` | `isManagementActive()` Return state of Derby's JMX management.
    `void` | `startManagement()` Start Derby's MBeans.
    `void` | `stopManagement()` Stop Derby's MBeans.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Management

          public Management()

  - ### Method Detail

    - #### startManagement

          public void startManagement()

      Start Derby's MBeans.
      Specified by:
        `startManagement` in interface `ManagementMBean`
      See Also:
        `ManagementMBean.startManagement()`

    - #### stopManagement

          public void stopManagement()

      Stop Derby's MBeans.
      Specified by:
        `stopManagement` in interface `ManagementMBean`
      See Also:
        `ManagementMBean.stopManagement()`

    - #### isManagementActive

          public boolean isManagementActive()

      Return state of Derby's JMX management.
      Specified by:
        `isManagementActive` in interface `ManagementMBean`
      Returns:
        true Derby has registered beans, false Derby has not registered any beans.
      See Also:
        `ManagementMBean.isManagementActive()`

    - #### getSystemIdentifier

          public String getSystemIdentifier()

      Return the system identifier that this MBean is managing.
      Specified by:
        `getSystemIdentifier` in interface `ManagementMBean`
      Returns:
        Runtime identifier for the system, null if Derby is not running.
      See Also:
        `ManagementMBean.getSystemIdentifier()`

Apache Derby 10.14 API Documentation - Copyright © 2004,2018 The Apache Software Foundation. All Rights Reserved.